BSON_OID_INIT_SEQUENCE(3)

WARNING:
        Deprecated since version 1.14.0: This function is deprecated and should not be used in new code.

        Please use bson_oid_init() in new code.

SYNOPSIS

            void
            bson_oid_init_sequence (bson_oid_t *oid, bson_context_t *context)
              BSON_GNUC_DEPRECATED_FOR (bson_oid_init);

PARAMETERS

    •   oid: A bson_oid_t.

    •   context: An optional bson_context_t.

DESCRIPTION

Generates a new ObjectID with the next 64-bit sequence number in context. The first 4 bytes contain the current time and the following 8 contain the sequence number in big-endian format.

The bson_oid_t generated by this function is not guaranteed to be globally unique. Only unique within this context. It is however, guaranteed to be sequential.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc